<script src="@#file#(fillpoly.js)" type="text/javascript"></script>

<p>Na ovom mjestu sada možete i sami zadavati vrhove te promatrati što će algoritam obojati. Vrhove unosite u kutiju za unos teksta prikazanu ispod rastera kao niz x,y-koordinata sve zajedno razdvojeno zarezima. Neki primjeri već su ponuđeni na dnu stranice: isprobajte ih.</p>

  <div width="500" height="500" style="position:relative; width:500px; margin: auto;">
  <canvas id="myCanvas1" width="500" height="500" style="border: 1px solid white;"></canvas>
  </div>
  <script type="text/javascript">
    var vertexes = [{x: 10,y:2, l:"V1"}, {x: 13,y:8, l:"V2"}, {x: 9,y:17, l:"V3"}, {x: 6,y:11, l:"V4"}];
    var brcanvas1 = new RasterDisplay("myCanvas1", 20, 20);
    brcanvas1.fullLines = [
      {x0:vertexes[0].x,y0:vertexes[0].y,x1:vertexes[1].x,y1:vertexes[1].y,c:"#FF0000",l:"b1"},
      {x0:vertexes[1].x,y0:vertexes[1].y,x1:vertexes[2].x,y1:vertexes[2].y,c:"#FF0000",l:"b2"},
      {x0:vertexes[2].x,y0:vertexes[2].y,x1:vertexes[3].x,y1:vertexes[3].y,c:"#FF0000",l:"b3"},
      {x0:vertexes[3].x,y0:vertexes[3].y,x1:vertexes[0].x,y1:vertexes[0].y,c:"#FF0000",l:"b4"}
    ];
    var alg1 = new FillAlgorithm1(vertexes, brcanvas1, "alg1");
    brcanvas1.points = vertexes;
    brcanvas1.showPointLabels = true;
    brcanvas1.showLineLabels = true;
    brcanvas1.showPoints = true;
    brcanvas1.paint();

    var inthndle = null;
    function toggleAutomatic() {
      if(inthndle==null) {
        inthndle = setInterval(function() {
          alg1.next();
          if(!alg1.hasNext()) { clearInterval(inthndle); inthndle=null; }
        }, 250);
      } else {
        clearInterval(inthndle); inthndle=null;
      }
    }
  </script>
<div style="text-align: center">
  fillPolygon(<input type="text" id="line1" value="10,2, 13,8, 9,17, 6,11" size="20">)
  <button onclick="if(parseLineData('line1',vertexes,brcanvas1.width,brcanvas1.height)) {alg1.reset(); document.getElementById('alg1btn').disabled=false;}">Postavi</button><br>
  <button onclick="alg1.reset(); document.getElementById('alg1btn').disabled=false;">Reset</button>
  <button id="alg1btn" onclick="alg1.next(); if(!alg1.hasNext()) this.disabled=true;">Korak</button>
  <button onclick="toggleAutomatic();">Automatski</button>
  <table>
  <tr>
    <th>xmin</th><th>ymin</th><th>xmax</th><th>ymax</th><th>yscan</th><th>L</th><th>D</th>
  </tr>
  <tr>
    <td id="alg1_xmin">-</td><td id="alg1_ymin">-</td><td id="alg1_xmax">-</td><td id="alg1_ymax">-</td><td id="alg1_yscan">-</td><td id="alg1_varL">-</td><td id="alg1_varD">-</td>
  </tr>
  </table>
</div>

  <p style="padding-top: 20px;">Isprobajte ponašanje algoritma na sljedećim primjerima.</p>
  <p>Primjer 1: 10,2, 13,8, 9,17, 6,11</p>
  <p>Primjer 2: 10,2, 15,15, 5,18</p>
  <p>Primjer 3: 10,2, 16,18, 9,12, 2,16 (poligon je konkavan! pratite koji su bridovi lijevi a koji desni)</p>

